> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Stripe payment intent

> Confirm Stripe payment intent



## OpenAPI

````yaml oms_v1 post /ext-stripe/payment-intent/confirm/{paymentIntentId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /ext-stripe/payment-intent/confirm/{paymentIntentId}:
    post:
      tags:
        - Payments
      summary: Confirm Stripe payment intent
      description: Confirm Stripe payment intent
      operationId: confirmStripePaymentIntent
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
            example: 0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k
        - in: path
          name: paymentIntentId
          schema:
            type: string
          required: true
          description: Payment intent Id.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payment_method:
                  type: string
                  example: pi_1GsyhzFbKq2PvwXbwAI3ZluI
                receipt_email:
                  type: string
                  format: email
                  example: joedoe@fabric.inc
                setup_future_usage:
                  type: string
                  enum:
                    - on_session
                    - off_session
                  example: off_session
      responses:
        '200':
          description: Confirm stripe payment intent
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        example: pi_1GsyhzFbKq2PvwXbwAI3ZluI
                      object:
                        type: string
                        example: payment_intent
                      amount:
                        type: number
                        example: 1000
                      amount_capturable:
                        type: number
                        example: 0
                      amount_received:
                        type: number
                        example: 0
                      application:
                        type: string
                      application_fee_amount:
                        type: number
                      canceled_at:
                        type: string
                      cancellation_reason:
                        type: string
                      capture_method:
                        type: string
                        example: manual
                      client_secret:
                        type: string
                        example: >-
                          pi_1GsyhzFbKq2Pvw1bwAI3ZluI_secret_GKG6hcap7VCggeoqJICAqSsRW
                      confirmation_method:
                        type: string
                        example: automatic
                      created:
                        type: number
                        example: 1591913835
                      currency:
                        type: string
                        example: usd
                      customer:
                        type: string
                      description:
                        type: string
                      invoice:
                        type: string
                      last_payment_error:
                        type: string
                      livemode:
                        type: boolean
                      metadata:
                        type: object
                      next_action:
                        type: string
                      on_behalf_of:
                        type: string
                      payment_method:
                        type: string
                      payment_method_options:
                        type: object
                        properties:
                          card:
                            type: object
                            properties:
                              installments:
                                type: string
                              network:
                                type: string
                              request_three_d_secure:
                                type: string
                                example: automatic
                      payment_method_types:
                        type: array
                        items:
                          type: string
                          example: card
                        example:
                          - card
                      receipt_email:
                        type: string
                      review:
                        type: string
                      setup_future_usage:
                        type: string
                        example: on_session
                      shipping:
                        type: string
                      source:
                        type: string
                      statement_descriptor:
                        type: string
                      statement_descriptor_suffix:
                        type: string
                      status:
                        type: string
                        example: requires_payment_method
                      transfer_data:
                        type: string
                      transfer_group:
                        type: string
                  - type: object
                    properties:
                      billing_details:
                        type: object
                        properties:
                          address:
                            type: object
                            required:
                              - line1
                              - city
                              - state
                              - country
                              - postal_code
                            properties:
                              line1:
                                type: string
                                example: 3520 Millenio
                              line2:
                                type: string
                                example: Crowley Drive
                              city:
                                type: string
                                example: Vancouver
                              state:
                                type: string
                                example: BC
                              country:
                                type: string
                                example: CA
                              postal_code:
                                type: string
                                example: V5R 6G9
                          name:
                            type: string
                            example: John Smith
                          email:
                            type: string
                            format: email
                            example: john@fabric.inc
                          phone:
                            type: string
                            example: 123-456-7890
                  - type: object
                    properties:
                      charges:
                        type: object
                        properties:
                          object:
                            type: string
                            example: list
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ch_1GszZAFbKq2PvwXbWRHwiXg0
                                object:
                                  type: string
                                  example: charge
                                amount:
                                  type: number
                                  example: 1500
                                amount_refunded:
                                  type: string
                                  example: 0
                                application:
                                  type: string
                                application_fee:
                                  type: string
                                application_fee_amount:
                                  type: string
                                balance_transaction:
                                  type: string
                                calculated_statement_descriptor:
                                  type: string
                                  example: Stripe
                                captured:
                                  type: boolean
                                  example: false
                                created:
                                  type: number
                                  example: 1591917132
                                currency:
                                  type: string
                                  example: usd
                                customer:
                                  type: string
                                description:
                                  type: string
                                destination:
                                  type: string
                                dispute:
                                  type: boolean
                                  example: false
                                disputed:
                                  type: string
                                failure_code:
                                  type: string
                                failure_message:
                                  type: string
                                fraud_details:
                                  type: object
                                invoice:
                                  type: string
                                livemode:
                                  type: boolean
                                  example: false
                                metadata:
                                  type: string
                                on_behalf_of:
                                  type: string
                                order:
                                  type: string
                                outcome:
                                  type: object
                                  properties:
                                    network_status:
                                      type: string
                                      example: approved_by_network
                                    reason:
                                      type: string
                                    risk_level:
                                      type: string
                                      example: normal
                                    risk_score:
                                      type: number
                                      example: 7
                                    seller_message:
                                      type: string
                                      example: Payment complete.
                                    type:
                                      type: string
                                      example: authorized
                                paid:
                                  type: boolean
                                  example: true
                                payment_intent:
                                  type: string
                                  example: pi_1GsyhzFbKq2PvwXbwAI3ZluI
                                payment_method:
                                  type: string
                                  example: pm_1GszYCFbKq2PvwXb2CDbdZOP
                                payment_method_details:
                                  type: object
                                  properties:
                                    card:
                                      type: object
                                      properties:
                                        brand:
                                          type: string
                                          example: visa
                                        checks:
                                          type: object
                                          properties:
                                            address_line1_check:
                                              type: string
                                            address_postal_code_check:
                                              type: string
                                              example: pass
                                            cvc_check:
                                              type: string
                                              example: pass
                                        country:
                                          type: string
                                          example: US
                                        exp_month:
                                          type: number
                                          example: 3
                                        exp_year:
                                          type: number
                                          example: 2023
                                        fingerprint:
                                          type: string
                                          example: KYFNiC9k7gBUEnMg
                                        funding:
                                          type: string
                                          example: credit
                                        installments:
                                          type: string
                                        last4:
                                          type: string
                                          example: '4242'
                                        network:
                                          type: string
                                          example: visa
                                        three_d_secure:
                                          type: string
                                        wallet:
                                          type: string
                                    type:
                                      type: string
                                      example: card
                                receipt_email:
                                  type: string
                                receipt_number:
                                  type: string
                                receipt_url:
                                  type: string
                                  example: >-
                                    https://pay.stripe.com/receipts/acct_1GrptTFbKq2PvwXb/ch_1GszZAFbKq2PvwXbWRHwiXg0/rcpt_HRtLuMrk7E5VQ1rLWNVzKrXHFZHHczr
                                refunded:
                                  type: boolean
                                  example: false
                                refunds:
                                  type: object
                                  properties:
                                    object:
                                      type: string
                                      example: list
                                    data:
                                      type: array
                                    has_more:
                                      type: boolean
                                      example: false
                                    total_count:
                                      type: number
                                      example: 0
                                    url:
                                      type: string
                                      example: >-
                                        /v1/charges/ch_1GszZAFbKq2PvwXbWRHwiXg0/refunds
                                review:
                                  type: string
                                shipping:
                                  type: string
                                source:
                                  type: string
                                source_transfer:
                                  type: string
                                statement_descriptor:
                                  type: string
                                statement_descriptor_suffix:
                                  type: string
                                status:
                                  type: string
                                  example: succeeded
                                transfer_data:
                                  type: string
                                transfer_group:
                                  type: string
                          has_more:
                            type: boolean
                            example: false
                          total_count:
                            type: number
                            example: 0
                          url:
                            type: string
                            example: >-
                              /v1/charges?payment_intent=pi_1GsyhzFbKq2PvwXbwAI3ZluI
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          $ref: '#/components/responses/MissingXApiKeyHeader'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    MissingXApiKeyHeader:
      description: Missing x-api-key in header
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                description: The error message
                example: Forbidden
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````